Skip to main content
POST
/
OrumWebhook
/
ReceiveCompanyEvent
cURL
curl --request POST \
  --url https://api.trysynch.com/OrumWebhook/ReceiveCompanyEvent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event_id": "<string>",
  "event_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "event_data": {
    "business": {
      "id": "<string>",
      "customer_reference_id": "<string>",
      "legal_name": "<string>",
      "business_name": "<string>",
      "tax_id": "<string>",
      "tax_id_type": "<string>",
      "account_holder_name": "<string>",
      "incorporation_date": "<string>",
      "entity_type": "<string>",
      "status": "<string>",
      "addresses": [
        {
          "id": "<string>",
          "type": "<string>",
          "address1": "<string>",
          "address2": "<string>",
          "zip5": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "contacts": [
        {
          "type": "<string>",
          "value": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  }
}
'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Body

event_id
string
required
event_type
string
required
created_at
string<date-time>
required
event_data
object
required

Response

200

OK